<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

    <xsl:template match="portlet">
        <div class="portlet -lutece-border-radius append-bottom">
            <xsl:if test="not(string(display-portlet-title)='1')">
                <h3 class="portlet-header">
                    <xsl:value-of disable-output-escaping="yes" select="portlet-name" />
                </h3>
            </xsl:if>
            <div class="portlet-content">
                <xsl:apply-templates select="myapps-providers-list" />
            </div>
        </div>
    </xsl:template>

    <xsl:template match="myapps-providers-list">
    	<xsl:apply-templates select="myapps-provider" />
    	<div class="clear">
    		<form method="post" action="jsp/site/Portal.jsp?page=myapps">
    			<xsl:text disable-output-escaping="yes"><![CDATA[<input type="submit" value="]]></xsl:text><xsl:value-of disable-output-escaping="yes" select="myapp-button" />
                <xsl:text disable-output-escaping="yes"><![CDATA["/>]]></xsl:text>
    		</form>
    	</div>
    </xsl:template>

    <xsl:template match="myapps-provider">
    	<div class="myapps-content left">
    		<h3><xsl:value-of disable-output-escaping="yes" select="myapps-provider-name" /></h3>
    		<xsl:apply-templates select="myapps-list" />
    	</div>
    </xsl:template>

    <xsl:template match="myapps-list">
    	<ul>
    		<xsl:apply-templates select="myapp" />
    	</ul>
    </xsl:template>

    <xsl:template match="myapp" >
    	<li>
    		<xsl:if test="string(myapp-has-icon) = '1'">
    			<img src="{myapp-icon}" width="32" height="32" alt="{myapp-description}"/>
    		</xsl:if>
    		<a href="{myapp-link}" target="_blank">
				<b><xsl:value-of select="myapp-name" /></b>
			</a>
			<span class="myapps-description">
				<xsl:value-of select="myapp-description" />
			</span>
    	</li>
    </xsl:template>

</xsl:stylesheet>